Commit ba68cf5d authored by Paul Cammish's avatar Paul Cammish
Browse files

Renamed command-line elements

parent 7a918431
......@@ -13,13 +13,13 @@ man/%.man:: ./sbin/%
RUBYLIB=$(RUBYLIB) $< --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
test -s $@
docs: man/symbiosis-encrypt-password.man man/is-bytemark-ip.man man/symbiosis-ip.man man/symbiosis-test.man man/which-backup-space.man man/symbiosis-configure-ips.man man/symbiosis-password-test.man man/symbiosis-ssl.man
docs: man/smypl-encrypt-password.man man/is-bytemark-ip.man man/sympl-ip.man man/sympl-test.man man/which-backup-space.man man/sympl-configure-ips.man man/sympl-password-test.man man/sympl-ssl.man
clean:
$(RM) -r man
test:
RUBYLIB=$(RUBYLIB) ruby ./bin/symbiosis-test test.d/
RUBYLIB=$(RUBYLIB) ruby ./bin/sympl-test test.d/
.PHONY: test clean all docs
......
#!/usr/bin/ruby -w
#
# NAME
# symbiosis-encrypt-password - encrypt a password
# sympl-encrypt-password - encrypt a password
#
# SYNOPSIS
# symbiosis-encrypt-password [--help] [ --manual ] [--verbose] [--alogrithm a] [--marker m] password_or_password_file
# sympl-encrypt-password [--help] [ --manual ] [--verbose] [--alogrithm a] [--marker m] password_or_password_file
#
# OPTIONS
# --algorithm a Specify which alogrithm to use. This is specified by ID.
......@@ -35,11 +35,11 @@
#
# EXAMPLES
#
# symbiosis-encrypt-password "my password"
# sympl-encrypt-password "my password"
#
# produces "{CRYPT}$1$M7$/ElErZcP9VN8fRgJfOKQa.".
#
# echo "another password" | symbiosis-encrypt-password --algorithm 5
# echo "another password" | sympl-encrypt-password --algorithm 5
#
# produces "{CRYPT}$5$v.$8nmtFKlaW5kkxkHCNjZLo0WR4b9hTJrOEmtBYOi9rb/".
#
......
#!/usr/bin/ruby
#
# NAME
# symbiosis-ip - Determine the primary IP address of this system
# sympl-ip - Determine the primary IP address of this system
#
# SYNOPSIS
# symbiosis-ip [ --all ] [ --ipv4 ] [ --ipv6 ] [ --verbose ] [ --help ]
# sympl-ip [ --all ] [ --ipv4 ] [ --ipv6 ] [ --verbose ] [ --help ]
#
# OPTIONS
# --all Show all available addresses on the system, not just the
......
#!/usr/bin/ruby
#
# NAME
# symbiosis-skel - Populate new domains from a skeleton
# sympl-skel - Populate new domains from a skeleton
#
# SYNOPSIS
# symbiosis-skel [ --etc path ] [ --prefix prefix ] [ domain ... ]
# sympl-skel [ --etc path ] [ --prefix prefix ] [ domain ... ]
#
# OPTIONS
# --etc path Set the directory in which configuration is stored.
# Defaults to /etc
#
# --prefix prefix Set the directory prefix for Symbiosis. Defaults to /srv.
# --prefix prefix Set the directory prefix for sympl. Defaults to /srv.
#
# --help Show the help information for this script.
#
......@@ -35,14 +35,14 @@
#
# HOOKS
#
# Hooks are executed from the /etc/symbiosis/skel-hooks.d directory, given the
# Hooks are executed from the /etc/sympl/skel-hooks.d directory, given the
# following conditions:
#
# * The file is executable
# * The file's name is made up only of alphanumerics, underscore (_) and hyphen
# (-)
#
# If any domain is altered by symbiosis-skel, at the end of the process all
# If any domain is altered by sympl-skel, at the end of the process all
# the hooks are called with 'domain-populated' passed as their only command-line
# argument and the list of domains that were altered is written to standard
# input, one per line.
......
#!/usr/bin/ruby
#
# NAME
# symbiosis-ssl - Manage and generate SSL certificates
# sympl-ssl - Manage and generate SSL certificates
#
# SYNOPSIS
# symbiosis-ssl [ --threshold days ] [ --no-generate ] [ --no-rollover ] [ --select set ]
# sympl-ssl [ --threshold days ] [ --no-generate ] [ --no-rollover ] [ --select set ]
# [ --list ] [ --prefix prefix ] [ --verbose ] [ --debug ] [ --manual ] [ --help ]
# [ domain domain ... ]
#
......@@ -22,7 +22,7 @@
#
# --no-rollover Do not try and generate keys or certificates.
#
# --prefix prefix Set the directory prefix for Symbiosis. Defaults to /srv.
# --prefix prefix Set the directory prefix for sympl. Defaults to /srv.
#
# --help Show the help information for this script.
#
......@@ -35,7 +35,7 @@
# USAGE
#
# This command is used to manage certificate sets automatically for domains on
# a Symbiosis system. It can request certificates from LetsEncrypt or generate
# a Sympl system. It can request certificates from LetsEncrypt or generate
# self-signed ones (see PROVIDERS).
#
# In addition, if any domain's certificate set was altered, hooks are run (see
......@@ -54,7 +54,7 @@
#
# HOOKS
#
# Hooks are executed from the /etc/symbiosis/ssl-hooks.d directory, given the
# Hooks are executed from the /etc/sympl/ssl-hooks.d directory, given the
# following conditions:
#
# * The file is executable
......@@ -62,7 +62,7 @@
# (-)
#
# At present, only one event causes the hooks to be executed. If any domain's
# certificate set is altered by symbiosis-ssl, at the end of the process all
# certificate set is altered by sympl-ssl, at the end of the process all
# the hooks are called with 'live-update' passed as their only command-line
# argument and the list of domains that were altered is written to standard
# input, one per line.
......
#!/usr/bin/ruby
#
# NAME
# symbiosis-test - Test systems' functionality running under Symbiosis
# sympl-test - Test systems' functionality running under sympl
#
# SYNOPSIS
# symbiosis-test [ --help ] [ --manual ] [ --verbose ] [directory]
# sympl-test [ --help ] [ --manual ] [ --verbose ] [directory]
#
# OPTIONS
# --help Show a brief help message.
# --help Show a brief help message.
#
# --manual Show the full manual.
#
......@@ -16,7 +16,7 @@
# USAGE
#
# This program runs all the tests in a given directory, defaulting to
# /etc/symbiosis/test.d.
# /etc/sympl/test.d.
#
# AUTHOR
#
......
......@@ -5,10 +5,10 @@
#
# hourly check
@hourly root [ -x /usr/sbin/symbiosis-password-test ] && /usr/sbin/symbiosis-password-test --hourly
@hourly root [ -x /usr/sbin/sympl-password-test ] && /usr/sbin/sympl-password-test --hourly
# weekly check
@weekly root [ -x /usr/sbin/symbiosis-password-test ] && /usr/sbin/symbiosis-password-test --weekly
@weekly root [ -x /usr/sbin/sympl-password-test ] && /usr/sbin/sympl-password-test --weekly
# daily check of SSL certificates
@daily root [ -x /usr/bin/symbiosis-ssl ] && /usr/bin/symbiosis-ssl
@daily root [ -x /usr/bin/sympl-ssl ] && /usr/bin/sympl-ssl
etc/cron.hourly
etc/network/if-up.d/
etc/symbiosis/ssl-hooks.d
etc/sympl/ssl-hooks.d
usr/sbin/symbiosis-configure-ips etc/network/if-up.d/symbiosis-configure-ips
usr/sbin/symbiosis-configure-ips etc/cron.hourly/symbiosis-configure-ips
usr/bin/sympl-encrypt-password usr/bin/symbiosis-encrypt-password
usr/bin/sympl-ip usr/bin/symbiosis-ip
usr/bin/sympl-skel usr/bin/symbiosis-skel
usr/bin/sympl-ssl usr/bin/symbiosis-ssl
usr/bin/sympl-test usr/bin/symbiosis-test
usr/sbin/sympl-configure-ips usr/sbin/symbiosis-configure-ips
usr/sbin/sympl-generate-dhparams usr/sbin/symbiosis-generate-dhparams
usr/sbin/sympl-password-test usr/sbin/symbiosis-password-test
usr/sbin/sympl-configure-ips etc/network/if-up.d/sympl-configure-ips
usr/sbin/sympl-configure-ips etc/cron.hourly/sympl-configure-ips
......@@ -14,8 +14,8 @@ fi
#
# Double check this file gets installed with the correct permissions
#
if ( ! dpkg-statoverride --list /etc/sudoers.d/symbiosis > /dev/null ) ; then
dpkg-statoverride --add --update root root 0440 /etc/sudoers.d/symbiosis
if ( ! dpkg-statoverride --list /etc/sudoers.d/sympl > /dev/null ) ; then
dpkg-statoverride --add --update root root 0440 /etc/sudoers.d/sympl
fi
#
......@@ -98,10 +98,10 @@ if [ -d "/srv/$HOSTNAME/config" ] ; then
#
# Generate certificates for this host
#
if ! ( symbiosis-ssl --verbose $HOSTNAME ) ; then
if ! ( sympl-ssl --verbose $HOSTNAME ) ; then
echo "W: SSL certificate generation failed. Retrying with a self-signed certificate..."
echo selfsigned > /srv/$HOSTNAME/config/ssl-provider
symbiosis-ssl --verbose $HOSTNAME || true
sympl-ssl --verbose $HOSTNAME || true
fi
fi
......@@ -117,7 +117,7 @@ ssl_current_dir="/srv/$HOSTNAME/config/ssl/current"
if [ ! -e "/etc/ssl/ssl.key" ] &&
[ ! -e "/etc/ssl/ssl.crt" ] &&
[ ! -e "/etc/ssl/ssl.combined" ] &&
( symbiosis-ssl --no-generate --no-rollover $HOSTNAME ) &&
( sympl-ssl --no-generate --no-rollover $HOSTNAME ) &&
[ -e "$ssl_current_dir/ssl.key" ] &&
[ -e "$ssl_current_dir/ssl.crt" ] &&
[ -e "$ssl_current_dir/ssl.combined" ] ; then
......
......@@ -5,8 +5,8 @@ set -e
#
# Make sure this file gets installed with the correct permissions
#
if ( ! dpkg-statoverride --list /etc/sudoers.d/symbiosis > /dev/null ) ; then
dpkg-statoverride --add root root 0440 /etc/sudoers.d/symbiosis
if ( ! dpkg-statoverride --list /etc/sudoers.d/sympl > /dev/null ) ; then
dpkg-statoverride --add root root 0440 /etc/sudoers.d/sympl
fi
case "$1" in
......
......@@ -4,11 +4,11 @@
set -e
if ( dpkg-statoverride --list /etc/sudoers.d/symbiosis > /dev/null 2>&1 ) ; then
if ( dpkg-statoverride --list /etc/sudoers.d/sympl > /dev/null 2>&1 ) ; then
#
# Remove the statoverride
#
dpkg-statoverride --remove /etc/sudoers.d/symbiosis
dpkg-statoverride --remove /etc/sudoers.d/sympl
fi
if ( dpkg-statoverride --list /srv > /dev/null 2>&1 ) ; then
......
......@@ -17,14 +17,14 @@
dh $@ --buildsystem=ruby --with ruby --with-systemd
override_dh_installinit:
# This service is called by symbiosis-skel.path, so no need to do
# This service is called by sympl-skel.path, so no need to do
# anything other than install it.
dh_installinit --no-start --no-scripts --name symbiosis-skel
dh_installinit --no-start --no-scripts --name sympl-skel
# GROSS HACK. dh_installinit doesn't seem to support systemd units
# other than service, so install it directly.
dh_install debian/symbiosis-skel.path lib/systemd/system/
dh_systemd_enable symbiosis-skel.path
dh_systemd_start symbiosis-skel.path
dh_install debian/sympl-skel.path lib/systemd/system/
dh_systemd_enable sympl-skel.path
dh_systemd_start sympl-skel.path
override_dh_auto_build-indep:
$(MAKE) docs
......
[Unit]
Description=Service for symbiosis-skel. Activated by symbiosis-skel.path
[Service]
ExecStart=/usr/bin/symbiosis-skel
[Unit]
Description=Service for sympl-skel. Activated by sympl-skel.path
[Service]
ExecStart=/usr/bin/sympl-skel
[Unit]
Description=Watcher for symbiosis-skel automated domain population
Description=Watcher for sympl-skel automated domain population
[Path]
PathExistsGlob=/srv/*
......
#!/usr/bin/ruby
#
# NAME
# symbiosis-configure-ips - Automatically configure IPs for domains
# sympl-configure-ips - Automatically configure IPs for domains
#
# SYNOPSIS
# symbiosis-configure-ips [ -h | --help ] [-m | --manual]
# sympl-configure-ips [ -h | --help ] [-m | --manual]
# [ -v | --verbose ] <interface>
#
# OPTIONS
......@@ -16,7 +16,7 @@
#
# USAGE
#
# This script uses the information provided by Symbiosis domains to add IP
# This script uses the information provided by sympl domains to add IP
# addresses to the primary interface of a machine. The primary interface is
# defined as the lowest numbered interface that has a global, unicast route
# with a gateway, i.e. a default route.
......
......@@ -16,7 +16,7 @@ do_cleanup() {
trap do_cleanup EXIT
if [ $# -eq 0 ]; then
echo "usage: symbiosis-generate-dhparams [-v] <path to config dir> [user]"
echo "usage: sympl-generate-dhparams [-v] <path to config dir> [user]"
exit 127
fi
......
#!/usr/bin/ruby
#
# NAME
# symbiosis-password-test - Test user-passwords for strength.
# sympl-password-test - Test user-passwords for strength.
#
# SYNOPSIS
# symbiosis-password-test [options]
# sympl-password-test [options]
#
# OPTIONS
#
......@@ -23,7 +23,7 @@
# DESCRIPTION
#
# This script is designed to test the strength of all user-created
# passwords upon a machine running Bytemark Symbiosis.
# passwords upon a machine running sympl.
#
# The testing of passwords works for
#
......@@ -32,7 +32,7 @@
#
# Basic usage is as simple as:
#
# symbiosis-password-test [--verbose]
# sympl-password-test [--verbose]
#
# This script will exit 0 if no passwords were found to be weak, otherwise it
# will exit 1.
......@@ -235,9 +235,9 @@ Need Help?
----------
For advice on securing your machine please consult the documentation
available upon the symbiosis website:
available upon the sympl website:
http://symbiosis.bytemark.co.uk/
http://sympl.host/
EOF
end
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment